import preactLogo from '../../assets/preact.svg';
import viteLogo from '/vite.svg'
import { useState } from "preact/hooks";
import { DefaultLayout } from '../../layouts/';
import React from 'preact/compat';

function Home() {
  const [count, setCount] = useState(0)
  const [searchVal, setSearchVal] = useState('');

  const onInput = (e: React.ChangeEvent<HTMLInputElement>): void => {
    const val = e.target as HTMLInputElement;
    setSearchVal(val.value)
  }

  const onSearchSubmit = (e: React.TargetedEvent<HTMLFormElement>): void => {
    e.preventDefault();
    alert(e)
  }

  const onDropdown = (e): void => {
    alert("bruh");
  }

  return (
    <DefaultLayout>
      <header>
        <div className="content">
          <div className="flex flex-row justify-between">
            <h1 style={{ fontSize: '32px' }}>HilingRiviw</h1>
            <form onSubmit={onSearchSubmit} className="search-input">
              <input
                type="text"
                value={searchVal}
                onInput={onInput}
                placeholder="Yogyakarta, Pantai Cidaun, Gedung DPR ..."
                style={{ padding: '12px 24px 12px 40px', borderRadius: 12, width: '100%', fontSize: '1em', backgroundColor: '#4b4b4b' }}
              />
              <svg style={{ position: 'absolute', top: '2em', padding: '0 0 0 5px' }} xmlns="http://www.w3.org/2000/svg" height="18" fill='white' viewBox="0 -960 960 960" width="36"><path d="M784-120 532-372q-30 24-69 38t-83 14q-109 0-184.5-75.5T120-580q0-109 75.5-184.5T380-840q109 0 184.5 75.5T640-580q0 44-14 83t-38 69l252 252-56 56ZM380-400q75 0 127.5-52.5T560-580q0-75-52.5-127.5T380-760q-75 0-127.5 52.5T200-580q0 75 52.5 127.5T380-400Z" /></svg>
            </form>
            <button onClick={onDropdown} className="dropdown-menu" style={{ backgroundColor: "#4b4b4b", padding: 5, margin: 'auto 0', borderRadius: 10 }}>
                <svg xmlns="http://www.w3.org/2000/svg" height="30" fill="white" viewBox="0 -960 960 960" width="30"><path d="M120-240v-80h720v80H120Zm0-200v-80h720v80H120Zm0-200v-80h720v80H120Z" /></svg>
            </button>
          </div>
        </div>
        <div className="nav-container">
          <a href="#" className="navLink">Best places</a>
          <a href="#" className="navLink">Discover</a>
          <a href="#" className="navLink">Trending Places</a>
          <a href="#" className="navLink">Lists</a>
          <a href="#" className="navLink">News</a>
          <a href="#" className="navLink">Forum</a>
        </div>
      </header>
      <div></div>
      <div className="content">
        <div className="flex flex-row">
          <a href="https://vitejs.dev" target="_blank">
            <img src={viteLogo} class="logo" alt="Vite logo" />
          </a>
          <a href="https://preactjs.com" target="_blank">
            <img src={preactLogo} class="logo preact" alt="Preact logo" />
          </a>
        </div>
        <h1>Vite + Preact</h1>
        <div class="card">
          <button onClick={() => setCount((count) => count + 1)}>
            count is {count}
          </button>
          <p>
            Edit <code>src/app.tsx</code> and save to test HMR
          </p>
        </div>
        <p class="read-the-docs">
          Click on the Vite and Preact logos to learn more
        </p>

        <h1 className="text-3xl font-bold underline">
          Hello world!
        </h1>
      </div>
    </DefaultLayout>

  )
}

export default Home;